# Uses of Class
org.springframework.jdbc.CannotGetJdbcConnectionException

Packages that use CannotGetJdbcConnectionException
Package
Description
org.springframework.jdbc.core.support
Classes supporting the `org.springframework.jdbc.core` package.
org.springframework.jdbc.datasource
Provides a utility class for easy DataSource access, a PlatformTransactionManager for a single DataSource, and various simple DataSource implementations.

## Uses of CannotGetJdbcConnectionException in org.springframework.jdbc.core.support

Methods in org.springframework.jdbc.core.support that throw CannotGetJdbcConnectionException
Modifier and Type
Method
Description
`protected final Connection`
JdbcDaoSupport.`getConnection()`
Get a JDBC Connection, either from the current transaction or a new one.

## Uses of CannotGetJdbcConnectionException in org.springframework.jdbc.datasource

Methods in org.springframework.jdbc.datasource that throw CannotGetJdbcConnectionException
Modifier and Type
Method
Description
`static Connection`
DataSourceUtils.`getConnection(DataSource dataSource)`
Obtain a Connection from the given DataSource.